Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Interface ExpressionParserConstants

All Known Implementing Classes:
  ExpressionParser, ExpressionParserTokenManager

    public interface ExpressionParserConstants

Field Summary
`static int` | `DEC_DIGITS`
`static int` | `DEC_FLT`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOUBLE_QUOTED_STRING`
`static int` | `EOF`
`static int` | `ESC`
`static int` | `EXPONENT`
`static int` | `FALSE`
`static int` | `FLOAT_LITERAL`
`static int` | `FLT_SUFF`
`static int` | `IDENTIFIER`
`static int` | `INT_LITERAL`
`static int` | `LETTER`
`static int` | `NULL`
`static int` | `PROPERTY_PATH`
`static int` | `SINGLE_QUOTED_STRING`
`static int` | `STRING_ESC`
`static String[]` | `tokenImage`
`static int` | `TRUE`
`static int` | `WithinDoubleQuoteLiteral`
`static int` | `WithinSingleQuoteLiteral`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### PROPERTY_PATH

    static final int PROPERTY_PATH

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### ESC

    static final int ESC

See Also:
  Constant Field Values

### SINGLE_QUOTED_STRING

    static final int SINGLE_QUOTED_STRING

See Also:
  Constant Field Values

### STRING_ESC

    static final int STRING_ESC

See Also:
  Constant Field Values

### DOUBLE_QUOTED_STRING

    static final int DOUBLE_QUOTED_STRING

See Also:
  Constant Field Values

### INT_LITERAL

    static final int INT_LITERAL

See Also:
  Constant Field Values

### FLOAT_LITERAL

    static final int FLOAT_LITERAL

See Also:
  Constant Field Values

### DEC_FLT

    static final int DEC_FLT

See Also:
  Constant Field Values

### DEC_DIGITS

    static final int DEC_DIGITS

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### FLT_SUFF

    static final int FLT_SUFF

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### WithinSingleQuoteLiteral

    static final int WithinSingleQuoteLiteral

See Also:
  Constant Field Values

### WithinDoubleQuoteLiteral

    static final int WithinDoubleQuoteLiteral

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.